Patchwork D5982: narrow: fix command name in error messsage

login
register
mail settings
Submitter phabricator
Date Feb. 19, 2019, 6:14 a.m.
Message ID <820775fd5ee90f51f71614f03d070ac3@localhost.localdomain>
Download mbox | patch
Permalink /patch/38820/
State Not Applicable
Headers show

Comments

phabricator - Feb. 19, 2019, 6:14 a.m.
This revision was automatically updated to reflect the committed changes.
Closed by commit rHGebbc4e70ebd1: narrow: fix command name in error messsage (authored by pulkit, committed by ).

REPOSITORY
  rHG Mercurial

CHANGES SINCE LAST UPDATE
  https://phab.mercurial-scm.org/D5982?vs=14140&id=14141

REVISION DETAIL
  https://phab.mercurial-scm.org/D5982

AFFECTED FILES
  hgext/narrow/narrowcommands.py
  tests/test-narrow-trackedcmd.t

CHANGE DETAILS




To: pulkit, durin42, martinvonz, #hg-reviewers
Cc: mercurial-devel

Patch

diff --git a/tests/test-narrow-trackedcmd.t b/tests/test-narrow-trackedcmd.t
--- a/tests/test-narrow-trackedcmd.t
+++ b/tests/test-narrow-trackedcmd.t
@@ -218,3 +218,13 @@ 
   adding file changes
   added 3 changesets with 0 changes to 0 files
   new changesets *:* (glob)
+
+  $ cd ..
+
+Testing tracked command on a non-narrow repo
+
+  $ hg init non-narrow
+  $ cd non-narrow
+  $ hg tracked --addinclude foobar
+  abort: the tracked command is only supported on respositories cloned with --narrow
+  [255]
diff --git a/hgext/narrow/narrowcommands.py b/hgext/narrow/narrowcommands.py
--- a/hgext/narrow/narrowcommands.py
+++ b/hgext/narrow/narrowcommands.py
@@ -348,7 +348,7 @@ 
     """
     opts = pycompat.byteskwargs(opts)
     if repository.NARROW_REQUIREMENT not in repo.requirements:
-        raise error.Abort(_('the narrow command is only supported on '
+        raise error.Abort(_('the tracked command is only supported on '
                             'respositories cloned with --narrow'))
 
     # Before supporting, decide whether it "hg tracked --clear" should mean